Bug 1292210 - Cannot exit from ooffice using ctrl+Q with a read-only document
Cannot exit from ooffice using ctrl+Q with a read-only document
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
23
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 13:13 EST by Adri Verhoef
Modified: 2015-12-24 19:25 EST (History)
7 users (show)

See Also:
Fixed In Version: libreoffice-5.0.4.2-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-24 19:25:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adri Verhoef 2015-12-16 13:13:27 EST
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:42.0) Gecko/20100101 Firefox/42.0
Build Identifier: 

After starting and opening a read-only document with 'ooffice' you cannot exit 'ooffice' using ctrl+Q.  You can exit though through the File menu→Exit LibreOffice or by typing Alt+F4.

Version of LibreOffice Writer: libreoffice-writer-5.0.3.2-12.fc23.x86_64

Reproducible: Always

Steps to Reproduce:
1. Open a read-only file using LibreOffice Writer (ooffice).
2. LibreOffice Writer reports "This document is open in read-only mode."
3. Type CTRL+Q.
Actual Results:  
Nothing happens.

Expected Results:  
LibreOffice should immediately close a read-only document and exit after typing ctrl+Q (just like typing Alt+F x).

I've also tested this by using 'oocalc' instead of 'ooffice' on a read-only spreadsheet.  This works as expected (Calc closes the read-only spreadsheet and exits after typing ctrl+Q).

libreoffice-calc-5.0.3.2-12.fc23.x86_64
libreoffice-writer-5.0.3.2-12.fc23.x86_64
libreoffice-core-5.0.3.2-12.fc23.x86_64

The File menu mentions that you can exit LibreOffice Writer using ctrl+Q, but you can't use ctrl+Q (i.e. it doesn't work) when the file is read-only.
Comment 1 Caolan McNamara 2015-12-18 04:20:50 EST
The readonly infobar must have grabbed the keyboard
Comment 2 Caolan McNamara 2015-12-18 07:48:55 EST
This appears to have been fixed (by accident I guess) by http://cgit.freedesktop.org/libreoffice/core/commit/?id=6d101b629
Comment 3 Fedora Update System 2015-12-20 15:46:09 EST
libreoffice-5.0.4.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-98c92e275f
Comment 4 Fedora Update System 2015-12-22 19:11:26 EST
libreoffice-5.0.4.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-98c92e275f
Comment 5 Fedora Update System 2015-12-24 19:25:06 EST
libreoffice-5.0.4.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.